Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1186)

Issue 29807586: Issue 6744 - Fixed wrapper injection on Chrome 67 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 1 month ago by Sebastian Noack
Modified:
1 year, 1 month ago
Reviewers:
kzar
Visibility:
Public.

Description

Issue 6744 - Fixed wrapper injection on Chrome 67

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+18 lines, -7 lines) Patch
M inject.preload.js View 1 chunk +18 lines, -7 lines 2 comments Download

Messages

Total messages: 3
Sebastian Noack
I'm planning to still land this in master. Causing Adblock Plus to show an error ...
1 year, 1 month ago (2018-06-14 21:03:10 UTC) #1
Sebastian Noack
1 year, 1 month ago (2018-06-14 21:03:37 UTC) #2
kzar
1 year, 1 month ago (2018-06-15 07:52:07 UTC) #3
LGTM

https://codereview.adblockplus.org/29807586/diff/29807587/inject.preload.js
File inject.preload.js (right):

https://codereview.adblockplus.org/29807586/diff/29807587/inject.preload.js#n...
inject.preload.js:373: if
(browser.runtime.getURL("").startsWith("chrome-extension://"))
On 2018/06/14 21:03:09, Sebastian Noack wrote:
> FWIW, I'm not too happy with this check, but I don't have a better idea.
> Ideally, we'd just try to load the script from the blob: URL and then fall
back
> to textContent, but while this would fix the wrapper, there still would be a
> failed request logged to the console.

Acknowledged.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87257f5